
_interrupt:

;auto_photometer.mbas,167 :: 		sub procedure interrupt
;auto_photometer.mbas,168 :: 		if Timer0_overflowed then  ' 0.82msec period
	BTFSS       INTCON+0, 2 
	GOTO        L__interrupt2
;auto_photometer.mbas,170 :: 		case 1
	MOVF        _led_pos+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt7
;auto_photometer.mbas,171 :: 		LED_DEV4_PORT.LED_DEV4_BIT = LED_7SEG_OFF
	BSF         PORTB+0, 2 
;auto_photometer.mbas,172 :: 		LED_SEG_PORT = led_val1
	MOVF        _led_val1+0, 0 
	MOVWF       PORTC+0 
;auto_photometer.mbas,173 :: 		LED_DEV1_PORT.LED_DEV1_BIT = LED_7SEG_ON
	BCF         PORTB+0, 5 
;auto_photometer.mbas,174 :: 		led_pos = led_pos + 1
	INCF        _led_pos+0, 1 
	GOTO        L__interrupt4
L__interrupt7:
;auto_photometer.mbas,175 :: 		case 2
	MOVF        _led_pos+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt10
;auto_photometer.mbas,176 :: 		LED_DEV1_PORT.LED_DEV1_BIT = LED_7SEG_OFF
	BSF         PORTB+0, 5 
;auto_photometer.mbas,177 :: 		LED_SEG_PORT = led_val2
	MOVF        _led_val2+0, 0 
	MOVWF       PORTC+0 
;auto_photometer.mbas,178 :: 		LED_DEV2_PORT.LED_DEV2_BIT = LED_7SEG_ON
	BCF         PORTB+0, 4 
;auto_photometer.mbas,179 :: 		led_pos = led_pos + 1
	INCF        _led_pos+0, 1 
	GOTO        L__interrupt4
L__interrupt10:
;auto_photometer.mbas,180 :: 		case 3
	MOVF        _led_pos+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt13
;auto_photometer.mbas,181 :: 		LED_DEV2_PORT.LED_DEV2_BIT = LED_7SEG_OFF
	BSF         PORTB+0, 4 
;auto_photometer.mbas,182 :: 		LED_SEG_PORT = led_val3
	MOVF        _led_val3+0, 0 
	MOVWF       PORTC+0 
;auto_photometer.mbas,183 :: 		LED_DEV3_PORT.LED_DEV3_BIT = LED_7SEG_ON
	BCF         PORTB+0, 3 
;auto_photometer.mbas,184 :: 		led_pos = led_pos + 1
	INCF        _led_pos+0, 1 
	GOTO        L__interrupt4
L__interrupt13:
;auto_photometer.mbas,185 :: 		case 4
	MOVF        _led_pos+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt16
;auto_photometer.mbas,186 :: 		LED_DEV3_PORT.LED_DEV3_BIT = LED_7SEG_OFF
	BSF         PORTB+0, 3 
;auto_photometer.mbas,187 :: 		LED_SEG_PORT = led_val4
	MOVF        _led_val4+0, 0 
	MOVWF       PORTC+0 
;auto_photometer.mbas,188 :: 		LED_DEV4_PORT.LED_DEV4_BIT = LED_7SEG_ON
	BCF         PORTB+0, 2 
;auto_photometer.mbas,189 :: 		led_pos = 1
	MOVLW       1
	MOVWF       _led_pos+0 
	GOTO        L__interrupt4
L__interrupt16:
L__interrupt4:
;auto_photometer.mbas,191 :: 		Timer0_overflowed = FALSE   ' Clear interrupt flag
	BCF         INTCON+0, 2 
L__interrupt2:
;auto_photometer.mbas,194 :: 		if Timer2_overflowed then  ' 4msec period
	BTFSS       PIR1+0, 1 
	GOTO        L__interrupt18
;auto_photometer.mbas,196 :: 		if SW1_PORT.SW1_BIT = 0 then
	BTFSC       PORTE+0, 3 
	GOTO        L__interrupt21
;auto_photometer.mbas,197 :: 		if press_counter_sw1 < 25000 then
	MOVLW       97
	SUBWF       _press_counter_sw1+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt236
	MOVLW       168
	SUBWF       _press_counter_sw1+0, 0 
L__interrupt236:
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt24
;auto_photometer.mbas,198 :: 		press_counter_sw1 = press_counter_sw1 + 1
	INFSNZ      _press_counter_sw1+0, 1 
	INCF        _press_counter_sw1+1, 1 
L__interrupt24:
;auto_photometer.mbas,199 :: 		end if
	GOTO        L__interrupt22
;auto_photometer.mbas,200 :: 		else
L__interrupt21:
;auto_photometer.mbas,201 :: 		use_sw1 = FALSE
	CLRF        _use_sw1+0 
;auto_photometer.mbas,202 :: 		press_counter_sw1 = 0
	CLRF        _press_counter_sw1+0 
	CLRF        _press_counter_sw1+1 
;auto_photometer.mbas,203 :: 		end if
L__interrupt22:
;auto_photometer.mbas,205 :: 		if SW2_PORT.SW2_BIT = 0 then
	BTFSC       PORTA+0, 4 
	GOTO        L__interrupt27
;auto_photometer.mbas,206 :: 		if press_counter_sw2 < 25000 then
	MOVLW       97
	SUBWF       _press_counter_sw2+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt237
	MOVLW       168
	SUBWF       _press_counter_sw2+0, 0 
L__interrupt237:
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt30
;auto_photometer.mbas,207 :: 		press_counter_sw2 = press_counter_sw2 + 1
	INFSNZ      _press_counter_sw2+0, 1 
	INCF        _press_counter_sw2+1, 1 
L__interrupt30:
;auto_photometer.mbas,208 :: 		end if
	GOTO        L__interrupt28
;auto_photometer.mbas,209 :: 		else
L__interrupt27:
;auto_photometer.mbas,210 :: 		use_sw2 = FALSE
	CLRF        _use_sw2+0 
;auto_photometer.mbas,211 :: 		press_counter_sw2 = 0
	CLRF        _press_counter_sw2+0 
	CLRF        _press_counter_sw2+1 
;auto_photometer.mbas,212 :: 		end if
L__interrupt28:
;auto_photometer.mbas,214 :: 		if SW3_PORT.SW3_BIT = 0 then
	BTFSC       PORTA+0, 5 
	GOTO        L__interrupt33
;auto_photometer.mbas,215 :: 		if press_counter_sw3 < 25000 then
	MOVLW       97
	SUBWF       _press_counter_sw3+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt238
	MOVLW       168
	SUBWF       _press_counter_sw3+0, 0 
L__interrupt238:
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt36
;auto_photometer.mbas,216 :: 		press_counter_sw3 = press_counter_sw3 + 1
	INFSNZ      _press_counter_sw3+0, 1 
	INCF        _press_counter_sw3+1, 1 
L__interrupt36:
;auto_photometer.mbas,217 :: 		end if
	GOTO        L__interrupt34
;auto_photometer.mbas,218 :: 		else
L__interrupt33:
;auto_photometer.mbas,219 :: 		use_sw3 = FALSE
	CLRF        _use_sw3+0 
;auto_photometer.mbas,220 :: 		press_counter_sw3 = 0
	CLRF        _press_counter_sw3+0 
	CLRF        _press_counter_sw3+1 
;auto_photometer.mbas,221 :: 		end if
L__interrupt34:
;auto_photometer.mbas,223 :: 		Timer2_overflowed = FALSE
	BCF         PIR1+0, 1 
L__interrupt18:
;auto_photometer.mbas,225 :: 		end sub
L_end_interrupt:
L__interrupt235:
	RETFIE      1
; end of _interrupt

_led_on:

;auto_photometer.mbas,230 :: 		sub procedure led_on( dim led_no as byte )
;auto_photometer.mbas,232 :: 		case 5 LED5_PORT.LED5_BIT = LED_3mm_ON
	MOVF        FARG_led_on_led_no+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__led_on42
	BSF         PORTA+0, 0 
	GOTO        L__led_on39
L__led_on42:
;auto_photometer.mbas,233 :: 		case 6 LED6_PORT.LED6_BIT = LED_3mm_ON
	MOVF        FARG_led_on_led_no+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L__led_on45
	BSF         PORTA+0, 1 
	GOTO        L__led_on39
L__led_on45:
;auto_photometer.mbas,234 :: 		case 7 LED7_PORT.LED7_BIT = LED_3mm_ON
	MOVF        FARG_led_on_led_no+0, 0 
	XORLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L__led_on48
	BSF         PORTB+0, 6 
	GOTO        L__led_on39
L__led_on48:
;auto_photometer.mbas,235 :: 		case 8 LED8_PORT.LED8_BIT = LED_3mm_ON
	MOVF        FARG_led_on_led_no+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L__led_on51
	BSF         PORTB+0, 7 
	GOTO        L__led_on39
L__led_on51:
L__led_on39:
;auto_photometer.mbas,237 :: 		end sub
L_end_led_on:
	RETURN      0
; end of _led_on

_led_off:

;auto_photometer.mbas,239 :: 		sub procedure led_off( dim led_no as byte )
;auto_photometer.mbas,241 :: 		case 5 LED5_PORT.LED5_BIT = LED_3mm_OFF
	MOVF        FARG_led_off_led_no+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__led_off56
	BCF         PORTA+0, 0 
	GOTO        L__led_off53
L__led_off56:
;auto_photometer.mbas,242 :: 		case 6 LED6_PORT.LED6_BIT = LED_3mm_OFF
	MOVF        FARG_led_off_led_no+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L__led_off59
	BCF         PORTA+0, 1 
	GOTO        L__led_off53
L__led_off59:
;auto_photometer.mbas,243 :: 		case 7 LED7_PORT.LED7_BIT = LED_3mm_OFF
	MOVF        FARG_led_off_led_no+0, 0 
	XORLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L__led_off62
	BCF         PORTB+0, 6 
	GOTO        L__led_off53
L__led_off62:
;auto_photometer.mbas,244 :: 		case 8 LED8_PORT.LED8_BIT = LED_3mm_OFF
	MOVF        FARG_led_off_led_no+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L__led_off65
	BCF         PORTB+0, 7 
	GOTO        L__led_off53
L__led_off65:
L__led_off53:
;auto_photometer.mbas,246 :: 		end sub
L_end_led_off:
	RETURN      0
; end of _led_off

_led7seg_decode_char:

;auto_photometer.mbas,251 :: 		sub function led7seg_decode_char( dim ascii_char as byte ) as byte
;auto_photometer.mbas,253 :: 		case " "  result = Digit_N
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       32
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char70
	MOVLW       255
	MOVWF       R1 
	GOTO        L__led7seg_decode_char67
L__led7seg_decode_char70:
;auto_photometer.mbas,254 :: 		case "0"  result = Digit_0
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char73
	MOVLW       192
	MOVWF       R1 
	GOTO        L__led7seg_decode_char67
L__led7seg_decode_char73:
;auto_photometer.mbas,255 :: 		case "1"  result = Digit_1
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       49
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char76
	MOVLW       249
	MOVWF       R1 
	GOTO        L__led7seg_decode_char67
L__led7seg_decode_char76:
;auto_photometer.mbas,256 :: 		case "2"  result = Digit_2
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       50
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char79
	MOVLW       164
	MOVWF       R1 
	GOTO        L__led7seg_decode_char67
L__led7seg_decode_char79:
;auto_photometer.mbas,257 :: 		case "3"  result = Digit_3
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       51
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char82
	MOVLW       176
	MOVWF       R1 
	GOTO        L__led7seg_decode_char67
L__led7seg_decode_char82:
;auto_photometer.mbas,258 :: 		case "4"  result = Digit_4
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       52
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char85
	MOVLW       153
	MOVWF       R1 
	GOTO        L__led7seg_decode_char67
L__led7seg_decode_char85:
;auto_photometer.mbas,259 :: 		case "5"  result = Digit_5
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       53
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char88
	MOVLW       146
	MOVWF       R1 
	GOTO        L__led7seg_decode_char67
L__led7seg_decode_char88:
;auto_photometer.mbas,260 :: 		case "6"  result = Digit_6
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       54
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char91
	MOVLW       130
	MOVWF       R1 
	GOTO        L__led7seg_decode_char67
L__led7seg_decode_char91:
;auto_photometer.mbas,261 :: 		case "7"  result = Digit_7
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       55
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char94
	MOVLW       248
	MOVWF       R1 
	GOTO        L__led7seg_decode_char67
L__led7seg_decode_char94:
;auto_photometer.mbas,262 :: 		case "8"  result = Digit_8
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       56
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char97
	MOVLW       128
	MOVWF       R1 
	GOTO        L__led7seg_decode_char67
L__led7seg_decode_char97:
;auto_photometer.mbas,263 :: 		case "9"  result = Digit_9
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       57
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char100
	MOVLW       144
	MOVWF       R1 
	GOTO        L__led7seg_decode_char67
L__led7seg_decode_char100:
;auto_photometer.mbas,264 :: 		case else result = Digit_N
	MOVLW       255
	MOVWF       R1 
L__led7seg_decode_char67:
;auto_photometer.mbas,266 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_led7seg_decode_char:
	RETURN      0
; end of _led7seg_decode_char

_led7seg_decode_number:

;auto_photometer.mbas,271 :: 		sub function led7seg_decode_number( dim num as byte ) as byte
;auto_photometer.mbas,273 :: 		case 0  result = Digit_0
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number105
	MOVLW       192
	MOVWF       R1 
	GOTO        L__led7seg_decode_number102
L__led7seg_decode_number105:
;auto_photometer.mbas,274 :: 		case 1  result = Digit_1
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number108
	MOVLW       249
	MOVWF       R1 
	GOTO        L__led7seg_decode_number102
L__led7seg_decode_number108:
;auto_photometer.mbas,275 :: 		case 2  result = Digit_2
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number111
	MOVLW       164
	MOVWF       R1 
	GOTO        L__led7seg_decode_number102
L__led7seg_decode_number111:
;auto_photometer.mbas,276 :: 		case 3  result = Digit_3
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number114
	MOVLW       176
	MOVWF       R1 
	GOTO        L__led7seg_decode_number102
L__led7seg_decode_number114:
;auto_photometer.mbas,277 :: 		case 4  result = Digit_4
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number117
	MOVLW       153
	MOVWF       R1 
	GOTO        L__led7seg_decode_number102
L__led7seg_decode_number117:
;auto_photometer.mbas,278 :: 		case 5  result = Digit_5
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number120
	MOVLW       146
	MOVWF       R1 
	GOTO        L__led7seg_decode_number102
L__led7seg_decode_number120:
;auto_photometer.mbas,279 :: 		case 6  result = Digit_6
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number123
	MOVLW       130
	MOVWF       R1 
	GOTO        L__led7seg_decode_number102
L__led7seg_decode_number123:
;auto_photometer.mbas,280 :: 		case 7  result = Digit_7
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number126
	MOVLW       248
	MOVWF       R1 
	GOTO        L__led7seg_decode_number102
L__led7seg_decode_number126:
;auto_photometer.mbas,281 :: 		case 8  result = Digit_8
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number129
	MOVLW       128
	MOVWF       R1 
	GOTO        L__led7seg_decode_number102
L__led7seg_decode_number129:
;auto_photometer.mbas,282 :: 		case 9  result = Digit_9
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       9
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number132
	MOVLW       144
	MOVWF       R1 
	GOTO        L__led7seg_decode_number102
L__led7seg_decode_number132:
;auto_photometer.mbas,283 :: 		case else result = Digit_N
	MOVLW       255
	MOVWF       R1 
L__led7seg_decode_number102:
;auto_photometer.mbas,285 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_led7seg_decode_number:
	RETURN      0
; end of _led7seg_decode_number

_display_number:

;auto_photometer.mbas,291 :: 		dim led_txt as string[6]
;auto_photometer.mbas,293 :: 		WordToStr( num, led_txt )
	MOVF        FARG_display_number_num+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        FARG_display_number_num+1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       display_number_led_txt+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(display_number_led_txt+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;auto_photometer.mbas,294 :: 		led_val1 = led7seg_decode_char( led_txt[4] )
	MOVF        display_number_led_txt+4, 0 
	MOVWF       FARG_led7seg_decode_char_ascii_char+0 
	CALL        _led7seg_decode_char+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val1+0 
;auto_photometer.mbas,295 :: 		led_val2 = led7seg_decode_char( led_txt[3] )
	MOVF        display_number_led_txt+3, 0 
	MOVWF       FARG_led7seg_decode_char_ascii_char+0 
	CALL        _led7seg_decode_char+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val2+0 
;auto_photometer.mbas,296 :: 		led_val3 = led7seg_decode_char( led_txt[2] )
	MOVF        display_number_led_txt+2, 0 
	MOVWF       FARG_led7seg_decode_char_ascii_char+0 
	CALL        _led7seg_decode_char+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val3+0 
;auto_photometer.mbas,297 :: 		led_val4 = led7seg_decode_char( led_txt[1] )
	MOVF        display_number_led_txt+1, 0 
	MOVWF       FARG_led7seg_decode_char_ascii_char+0 
	CALL        _led7seg_decode_char+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val4+0 
;auto_photometer.mbas,298 :: 		end sub
L_end_display_number:
	RETURN      0
; end of _display_number

_display_dot:

;auto_photometer.mbas,303 :: 		sub procedure display_dot( dim position as byte )
;auto_photometer.mbas,304 :: 		led_val1 = led_val1 or (not Digit_DP)
	BSF         _led_val1+0, 7 
;auto_photometer.mbas,305 :: 		led_val2 = led_val2 or (not Digit_DP)
	BSF         _led_val2+0, 7 
;auto_photometer.mbas,306 :: 		led_val3 = led_val3 or (not Digit_DP)
	BSF         _led_val3+0, 7 
;auto_photometer.mbas,307 :: 		led_val4 = led_val4 or (not Digit_DP)
	BSF         _led_val4+0, 7 
;auto_photometer.mbas,309 :: 		case 0  led_val1 = led_val1 and Digit_DP
	MOVF        FARG_display_dot_position+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__display_dot138
	MOVLW       127
	ANDWF       _led_val1+0, 1 
	GOTO        L__display_dot135
L__display_dot138:
;auto_photometer.mbas,310 :: 		case 1  led_val2 = led_val2 and Digit_DP
	MOVF        FARG_display_dot_position+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__display_dot141
	MOVLW       127
	ANDWF       _led_val2+0, 1 
	GOTO        L__display_dot135
L__display_dot141:
;auto_photometer.mbas,311 :: 		case 2  led_val3 = led_val3 and Digit_DP
	MOVF        FARG_display_dot_position+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__display_dot144
	MOVLW       127
	ANDWF       _led_val3+0, 1 
	GOTO        L__display_dot135
L__display_dot144:
;auto_photometer.mbas,312 :: 		case 3  led_val4 = led_val4 and Digit_DP
	MOVF        FARG_display_dot_position+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__display_dot147
	MOVLW       127
	ANDWF       _led_val4+0, 1 
	GOTO        L__display_dot135
L__display_dot147:
L__display_dot135:
;auto_photometer.mbas,314 :: 		end sub
L_end_display_dot:
	RETURN      0
; end of _display_dot

_sw_on_msec:

;auto_photometer.mbas,319 :: 		sub function sw_on_msec( dim sw_no as byte, dim msec as longword  ) as boolean
;auto_photometer.mbas,320 :: 		result = 0
	CLRF        R3 
;auto_photometer.mbas,322 :: 		case 1
	MOVF        FARG_sw_on_msec_sw_no+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec152
;auto_photometer.mbas,323 :: 		if use_sw1 = TRUE then
	MOVF        _use_sw1+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec154
;auto_photometer.mbas,324 :: 		result = FALSE
	CLRF        R3 
;auto_photometer.mbas,325 :: 		exit
	GOTO        L_end__sw_on_msec
L__sw_on_msec154:
;auto_photometer.mbas,327 :: 		if (press_counter_sw1 << 2) >= msec then
	MOVF        _press_counter_sw1+0, 0 
	MOVWF       R1 
	MOVF        _press_counter_sw1+1, 0 
	MOVWF       R2 
	RLCF        R1, 1 
	BCF         R1, 0 
	RLCF        R2, 1 
	RLCF        R1, 1 
	BCF         R1, 0 
	RLCF        R2, 1 
	MOVF        FARG_sw_on_msec_msec+3, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec246
	MOVF        FARG_sw_on_msec_msec+2, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec246
	MOVF        FARG_sw_on_msec_msec+1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec246
	MOVF        FARG_sw_on_msec_msec+0, 0 
	SUBWF       R1, 0 
L__sw_on_msec246:
	BTFSS       STATUS+0, 0 
	GOTO        L__sw_on_msec157
;auto_photometer.mbas,328 :: 		use_sw1 = TRUE
	MOVLW       255
	MOVWF       _use_sw1+0 
;auto_photometer.mbas,329 :: 		result = TRUE
	MOVLW       255
	MOVWF       R3 
	GOTO        L__sw_on_msec158
;auto_photometer.mbas,330 :: 		else
L__sw_on_msec157:
;auto_photometer.mbas,331 :: 		result = FALSE
	CLRF        R3 
;auto_photometer.mbas,332 :: 		end if
L__sw_on_msec158:
	GOTO        L__sw_on_msec149
L__sw_on_msec152:
;auto_photometer.mbas,333 :: 		case 2
	MOVF        FARG_sw_on_msec_sw_no+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec161
;auto_photometer.mbas,334 :: 		if use_sw2 = TRUE then
	MOVF        _use_sw2+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec163
;auto_photometer.mbas,335 :: 		result = FALSE
	CLRF        R3 
;auto_photometer.mbas,336 :: 		exit
	GOTO        L_end__sw_on_msec
L__sw_on_msec163:
;auto_photometer.mbas,338 :: 		if (press_counter_sw2 << 2) >= msec then
	MOVF        _press_counter_sw2+0, 0 
	MOVWF       R1 
	MOVF        _press_counter_sw2+1, 0 
	MOVWF       R2 
	RLCF        R1, 1 
	BCF         R1, 0 
	RLCF        R2, 1 
	RLCF        R1, 1 
	BCF         R1, 0 
	RLCF        R2, 1 
	MOVF        FARG_sw_on_msec_msec+3, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec247
	MOVF        FARG_sw_on_msec_msec+2, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec247
	MOVF        FARG_sw_on_msec_msec+1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec247
	MOVF        FARG_sw_on_msec_msec+0, 0 
	SUBWF       R1, 0 
L__sw_on_msec247:
	BTFSS       STATUS+0, 0 
	GOTO        L__sw_on_msec166
;auto_photometer.mbas,339 :: 		use_sw2 = TRUE
	MOVLW       255
	MOVWF       _use_sw2+0 
;auto_photometer.mbas,340 :: 		result = TRUE
	MOVLW       255
	MOVWF       R3 
	GOTO        L__sw_on_msec167
;auto_photometer.mbas,341 :: 		else
L__sw_on_msec166:
;auto_photometer.mbas,342 :: 		result = FALSE
	CLRF        R3 
;auto_photometer.mbas,343 :: 		end if
L__sw_on_msec167:
	GOTO        L__sw_on_msec149
L__sw_on_msec161:
;auto_photometer.mbas,344 :: 		case 3
	MOVF        FARG_sw_on_msec_sw_no+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec170
;auto_photometer.mbas,345 :: 		if use_sw3 = TRUE then
	MOVF        _use_sw3+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec172
;auto_photometer.mbas,346 :: 		result = FALSE
	CLRF        R3 
;auto_photometer.mbas,347 :: 		exit
	GOTO        L_end__sw_on_msec
L__sw_on_msec172:
;auto_photometer.mbas,349 :: 		if (press_counter_sw3 << 2) >= msec then
	MOVF        _press_counter_sw3+0, 0 
	MOVWF       R1 
	MOVF        _press_counter_sw3+1, 0 
	MOVWF       R2 
	RLCF        R1, 1 
	BCF         R1, 0 
	RLCF        R2, 1 
	RLCF        R1, 1 
	BCF         R1, 0 
	RLCF        R2, 1 
	MOVF        FARG_sw_on_msec_msec+3, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec248
	MOVF        FARG_sw_on_msec_msec+2, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec248
	MOVF        FARG_sw_on_msec_msec+1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec248
	MOVF        FARG_sw_on_msec_msec+0, 0 
	SUBWF       R1, 0 
L__sw_on_msec248:
	BTFSS       STATUS+0, 0 
	GOTO        L__sw_on_msec175
;auto_photometer.mbas,350 :: 		use_sw3 = TRUE
	MOVLW       255
	MOVWF       _use_sw3+0 
;auto_photometer.mbas,351 :: 		result = TRUE
	MOVLW       255
	MOVWF       R3 
	GOTO        L__sw_on_msec176
;auto_photometer.mbas,352 :: 		else
L__sw_on_msec175:
;auto_photometer.mbas,353 :: 		result = FALSE
	CLRF        R3 
;auto_photometer.mbas,354 :: 		end if
L__sw_on_msec176:
	GOTO        L__sw_on_msec149
L__sw_on_msec170:
L__sw_on_msec149:
;auto_photometer.mbas,356 :: 		end sub
L_end__sw_on_msec:
	MOVF        R3, 0 
	MOVWF       R0 
L_end_sw_on_msec:
	RETURN      0
; end of _sw_on_msec

_relay_on:

;auto_photometer.mbas,361 :: 		sub procedure relay_on()
;auto_photometer.mbas,362 :: 		RELAY_PORT.RELAY_BIT = 0
	BCF         PORTB+0, 1 
;auto_photometer.mbas,363 :: 		end sub
L_end_relay_on:
	RETURN      0
; end of _relay_on

_relay_off:

;auto_photometer.mbas,365 :: 		sub procedure relay_off()
;auto_photometer.mbas,366 :: 		RELAY_PORT.RELAY_BIT = 1
	BSF         PORTB+0, 1 
;auto_photometer.mbas,367 :: 		end sub
L_end_relay_off:
	RETURN      0
; end of _relay_off

_eeprom_word_read:

;auto_photometer.mbas,372 :: 		sub function eeprom_word_read( dim address as word ) as word
;auto_photometer.mbas,373 :: 		result = (eeprom_read( address + 1 ) << 8) + eeprom_read( address )
	MOVLW       1
	ADDWF       FARG_eeprom_word_read_address+0, 0 
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	ADDWFC      FARG_eeprom_word_read_address+1, 0 
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__eeprom_word_read+1 
	CLRF        FLOC__eeprom_word_read+0 
	MOVF        FARG_eeprom_word_read_address+0, 0 
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVF        FARG_eeprom_word_read_address+1, 0 
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	ADDWF       FLOC__eeprom_word_read+0, 0 
	MOVWF       eeprom_word_read_local_result+0 
	MOVLW       0
	ADDWFC      FLOC__eeprom_word_read+1, 0 
	MOVWF       eeprom_word_read_local_result+1 
;auto_photometer.mbas,374 :: 		end sub
	MOVF        eeprom_word_read_local_result+0, 0 
	MOVWF       R0 
	MOVF        eeprom_word_read_local_result+1, 0 
	MOVWF       R1 
L_end_eeprom_word_read:
	RETURN      0
; end of _eeprom_word_read

_eeprom_word_write:

;auto_photometer.mbas,380 :: 		dim temp as byte
;auto_photometer.mbas,383 :: 		eeprom_write( address, temp )
	MOVF        FARG_eeprom_word_write_address+0, 0 
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        FARG_eeprom_word_write_dataval+0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;auto_photometer.mbas,384 :: 		temp = dataval >> 8
	MOVF        FARG_eeprom_word_write_dataval+1, 0 
	MOVWF       R0 
	CLRF        R1 
;auto_photometer.mbas,385 :: 		eeprom_write( address + 1, temp )
	MOVF        FARG_eeprom_word_write_address+0, 0 
	ADDLW       1
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        R0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;auto_photometer.mbas,386 :: 		end sub
L_end_eeprom_word_write:
	RETURN      0
; end of _eeprom_word_write

_input_word:

;auto_photometer.mbas,396 :: 		const max_value as byte[4] = (9,9,9,9)
;auto_photometer.mbas,398 :: 		digit_pos = 0
	CLRF        input_word_digit_pos+0 
;auto_photometer.mbas,399 :: 		temp = wordval
	MOVF        FARG_input_word_wordval+0, 0 
	MOVWF       input_word_temp+0 
	MOVF        FARG_input_word_wordval+1, 0 
	MOVWF       input_word_temp+1 
;auto_photometer.mbas,401 :: 		display_number( temp )
	MOVF        FARG_input_word_wordval+0, 0 
	MOVWF       FARG_display_number_num+0 
	MOVF        FARG_input_word_wordval+1, 0 
	MOVWF       FARG_display_number_num+1 
	CALL        _display_number+0, 0
;auto_photometer.mbas,402 :: 		display_dot( digit_pos )
	MOVF        input_word_digit_pos+0, 0 
	MOVWF       FARG_display_dot_position+0 
	CALL        _display_dot+0, 0
;auto_photometer.mbas,403 :: 		digit_val[0] = temp mod 10  temp = temp / 10
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        input_word_temp+0, 0 
	MOVWF       R0 
	MOVF        input_word_temp+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       input_word_digit_val+0 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        input_word_temp+0, 0 
	MOVWF       R0 
	MOVF        input_word_temp+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       input_word_temp+0 
	MOVF        R1, 0 
	MOVWF       input_word_temp+1 
;auto_photometer.mbas,404 :: 		digit_val[1] = temp mod 10  temp = temp / 10
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       input_word_digit_val+1 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        input_word_temp+0, 0 
	MOVWF       R0 
	MOVF        input_word_temp+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       input_word_temp+0 
	MOVF        R1, 0 
	MOVWF       input_word_temp+1 
;auto_photometer.mbas,405 :: 		digit_val[2] = temp mod 10  temp = temp / 10
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       input_word_digit_val+2 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        input_word_temp+0, 0 
	MOVWF       R0 
	MOVF        input_word_temp+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       input_word_temp+0 
	MOVF        R1, 0 
	MOVWF       input_word_temp+1 
;auto_photometer.mbas,406 :: 		digit_val[3] = temp mod 10  temp = temp / 10
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       input_word_digit_val+3 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        input_word_temp+0, 0 
	MOVWF       R0 
	MOVF        input_word_temp+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       input_word_temp+0 
	MOVF        R1, 0 
	MOVWF       input_word_temp+1 
;auto_photometer.mbas,408 :: 		temp = wordval
	MOVF        FARG_input_word_wordval+0, 0 
	MOVWF       input_word_temp+0 
	MOVF        FARG_input_word_wordval+1, 0 
	MOVWF       input_word_temp+1 
;auto_photometer.mbas,409 :: 		led_on(5)
	MOVLW       5
	MOVWF       FARG_led_on_led_no+0 
	CALL        _led_on+0, 0
;auto_photometer.mbas,410 :: 		while TRUE
L__input_word183:
;auto_photometer.mbas,411 :: 		if sw_on_msec( 2, 50 ) then
	MOVLW       2
	MOVWF       FARG_sw_on_msec_sw_no+0 
	MOVLW       50
	MOVWF       FARG_sw_on_msec_msec+0 
	MOVLW       0
	MOVWF       FARG_sw_on_msec_msec+1 
	MOVWF       FARG_sw_on_msec_msec+2 
	MOVWF       FARG_sw_on_msec_msec+3 
	CALL        _sw_on_msec+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__input_word188
;auto_photometer.mbas,412 :: 		if digit_pos = 3 then
	MOVF        input_word_digit_pos+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__input_word191
;auto_photometer.mbas,413 :: 		digit_pos = 0
	CLRF        input_word_digit_pos+0 
	GOTO        L__input_word192
;auto_photometer.mbas,414 :: 		else
L__input_word191:
;auto_photometer.mbas,415 :: 		digit_pos = digit_pos + 1
	INCF        input_word_digit_pos+0, 1 
;auto_photometer.mbas,416 :: 		end if
L__input_word192:
;auto_photometer.mbas,417 :: 		display_dot( digit_pos )
	MOVF        input_word_digit_pos+0, 0 
	MOVWF       FARG_display_dot_position+0 
	CALL        _display_dot+0, 0
L__input_word188:
;auto_photometer.mbas,420 :: 		if sw_on_msec( 3, 50 ) then
	MOVLW       3
	MOVWF       FARG_sw_on_msec_sw_no+0 
	MOVLW       50
	MOVWF       FARG_sw_on_msec_msec+0 
	MOVLW       0
	MOVWF       FARG_sw_on_msec_msec+1 
	MOVWF       FARG_sw_on_msec_msec+2 
	MOVWF       FARG_sw_on_msec_msec+3 
	CALL        _sw_on_msec+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__input_word194
;auto_photometer.mbas,421 :: 		if digit_val[digit_pos] = max_value[digit_pos] then
	MOVLW       input_word_digit_val+0
	MOVWF       R0 
	MOVLW       hi_addr(input_word_digit_val+0)
	MOVWF       R1 
	MOVF        input_word_digit_pos+0, 0 
	ADDWF       R0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       R3 
	MOVLW       input_word_max_value+0
	ADDWF       input_word_digit_pos+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(input_word_max_value+0)
	MOVWF       TBLPTRH 
	MOVLW       0
	ADDWFC      TBLPTRH, 1 
	MOVLW       higher_addr(input_word_max_value+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVFF       R2, FSR0
	MOVFF       R3, FSR0H
	MOVF        POSTINC0+0, 0 
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__input_word197
;auto_photometer.mbas,422 :: 		digit_val[digit_pos] = 0
	MOVLW       input_word_digit_val+0
	MOVWF       R0 
	MOVLW       hi_addr(input_word_digit_val+0)
	MOVWF       R1 
	MOVF        input_word_digit_pos+0, 0 
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	GOTO        L__input_word198
;auto_photometer.mbas,423 :: 		else
L__input_word197:
;auto_photometer.mbas,424 :: 		digit_val[digit_pos] = digit_val[digit_pos] + 1
	MOVLW       input_word_digit_val+0
	MOVWF       R0 
	MOVLW       hi_addr(input_word_digit_val+0)
	MOVWF       R1 
	MOVF        input_word_digit_pos+0, 0 
	ADDWF       R0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       R3 
	MOVFF       R2, FSR0
	MOVFF       R3, FSR0H
	MOVF        POSTINC0+0, 0 
	ADDLW       1
	MOVWF       R0 
	MOVFF       R2, FSR1
	MOVFF       R3, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;auto_photometer.mbas,425 :: 		end if
L__input_word198:
;auto_photometer.mbas,426 :: 		temp = digit_val[0] + digit_val[1] * 10 + digit_val[2] * 100 + digit_val[3] * 1000
	MOVF        input_word_digit_val+1, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        input_word_digit_val+0, 0 
	ADDWF       R0, 0 
	MOVWF       FLOC__input_word+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FLOC__input_word+1 
	MOVF        input_word_digit_val+2, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        R0, 0 
	ADDWF       FLOC__input_word+0, 1 
	MOVF        R1, 0 
	ADDWFC      FLOC__input_word+1, 1 
	MOVF        input_word_digit_val+3, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        FLOC__input_word+0, 0 
	ADDWF       R0, 1 
	MOVF        FLOC__input_word+1, 0 
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       input_word_temp+0 
	MOVF        R1, 0 
	MOVWF       input_word_temp+1 
;auto_photometer.mbas,427 :: 		display_number( temp )
	MOVF        R0, 0 
	MOVWF       FARG_display_number_num+0 
	MOVF        R1, 0 
	MOVWF       FARG_display_number_num+1 
	CALL        _display_number+0, 0
;auto_photometer.mbas,428 :: 		display_dot( digit_pos )
	MOVF        input_word_digit_pos+0, 0 
	MOVWF       FARG_display_dot_position+0 
	CALL        _display_dot+0, 0
L__input_word194:
;auto_photometer.mbas,431 :: 		if sw_on_msec( 1, 50 ) then
	MOVLW       1
	MOVWF       FARG_sw_on_msec_sw_no+0 
	MOVLW       50
	MOVWF       FARG_sw_on_msec_msec+0 
	MOVLW       0
	MOVWF       FARG_sw_on_msec_msec+1 
	MOVWF       FARG_sw_on_msec_msec+2 
	MOVWF       FARG_sw_on_msec_msec+3 
	CALL        _sw_on_msec+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__input_word200
;auto_photometer.mbas,432 :: 		led_off(5)
	MOVLW       5
	MOVWF       FARG_led_off_led_no+0 
	CALL        _led_off+0, 0
;auto_photometer.mbas,433 :: 		if temp > 1023 then
	MOVF        input_word_temp+1, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__input_word254
	MOVF        input_word_temp+0, 0 
	SUBLW       255
L__input_word254:
	BTFSC       STATUS+0, 0 
	GOTO        L__input_word203
;auto_photometer.mbas,434 :: 		temp = 1023
	MOVLW       255
	MOVWF       input_word_temp+0 
	MOVLW       3
	MOVWF       input_word_temp+1 
L__input_word203:
;auto_photometer.mbas,436 :: 		result = temp
	MOVF        input_word_temp+0, 0 
	MOVWF       input_word_local_result+0 
	MOVF        input_word_temp+1, 0 
	MOVWF       input_word_local_result+1 
;auto_photometer.mbas,437 :: 		exit
	GOTO        L_end__input_word
L__input_word200:
;auto_photometer.mbas,439 :: 		wend
	GOTO        L__input_word183
;auto_photometer.mbas,440 :: 		end sub
L_end__input_word:
	MOVF        input_word_local_result+0, 0 
	MOVWF       R0 
	MOVF        input_word_local_result+1, 0 
	MOVWF       R1 
L_end_input_word:
	RETURN      0
; end of _input_word

_settei:

;auto_photometer.mbas,445 :: 		sub procedure settei()
;auto_photometer.mbas,446 :: 		led_on(7)
	MOVLW       7
	MOVWF       FARG_led_on_led_no+0 
	CALL        _led_on+0, 0
;auto_photometer.mbas,447 :: 		on_illuminance   = input_word( on_illuminance )
	MOVF        _on_illuminance+0, 0 
	MOVWF       FARG_input_word_wordval+0 
	MOVF        _on_illuminance+1, 0 
	MOVWF       FARG_input_word_wordval+1 
	CALL        _input_word+0, 0
	MOVF        R0, 0 
	MOVWF       _on_illuminance+0 
	MOVF        R1, 0 
	MOVWF       _on_illuminance+1 
;auto_photometer.mbas,448 :: 		eeprom_word_write( EEPROM_ON_ILLUMINANCE,  on_illuminance  )
	CLRF        FARG_eeprom_word_write_address+0 
	CLRF        FARG_eeprom_word_write_address+1 
	MOVF        R0, 0 
	MOVWF       FARG_eeprom_word_write_dataval+0 
	MOVF        R1, 0 
	MOVWF       FARG_eeprom_word_write_dataval+1 
	CALL        _eeprom_word_write+0, 0
;auto_photometer.mbas,449 :: 		led_off(7)
	MOVLW       7
	MOVWF       FARG_led_off_led_no+0 
	CALL        _led_off+0, 0
;auto_photometer.mbas,450 :: 		led_on(8)
	MOVLW       8
	MOVWF       FARG_led_on_led_no+0 
	CALL        _led_on+0, 0
;auto_photometer.mbas,451 :: 		off_illuminance  = input_word( off_illuminance )
	MOVF        _off_illuminance+0, 0 
	MOVWF       FARG_input_word_wordval+0 
	MOVF        _off_illuminance+1, 0 
	MOVWF       FARG_input_word_wordval+1 
	CALL        _input_word+0, 0
	MOVF        R0, 0 
	MOVWF       _off_illuminance+0 
	MOVF        R1, 0 
	MOVWF       _off_illuminance+1 
;auto_photometer.mbas,452 :: 		eeprom_word_write( EEPROM_OFF_ILLUMINANCE, off_illuminance )
	MOVLW       2
	MOVWF       FARG_eeprom_word_write_address+0 
	MOVLW       0
	MOVWF       FARG_eeprom_word_write_address+1 
	MOVF        R0, 0 
	MOVWF       FARG_eeprom_word_write_dataval+0 
	MOVF        R1, 0 
	MOVWF       FARG_eeprom_word_write_dataval+1 
	CALL        _eeprom_word_write+0, 0
;auto_photometer.mbas,453 :: 		led_off(8)
	MOVLW       8
	MOVWF       FARG_led_off_led_no+0 
	CALL        _led_off+0, 0
;auto_photometer.mbas,454 :: 		end sub
L_end_settei:
	RETURN      0
; end of _settei

_ad_get:

;auto_photometer.mbas,460 :: 		dim ad_tmp as word
;auto_photometer.mbas,462 :: 		ADCON0.GO_DONE = 1
	BSF         ADCON0+0, 1 
;auto_photometer.mbas,463 :: 		while( ADCON0.GO_DONE = 1 )
L__ad_get208:
	BTFSC       ADCON0+0, 1 
	GOTO        L__ad_get208
;auto_photometer.mbas,465 :: 		byteL = ADRESL
	MOVF        ADRESL+0, 0 
	MOVWF       36 
;auto_photometer.mbas,466 :: 		byteH = ADRESH
	MOVF        ADRESH+0, 0 
	MOVWF       37 
;auto_photometer.mbas,468 :: 		result = word_val
	MOVF        36, 0 
	MOVWF       R2 
	MOVF        37, 0 
	MOVWF       R3 
;auto_photometer.mbas,469 :: 		end sub
	MOVF        R2, 0 
	MOVWF       R0 
	MOVF        R3, 0 
	MOVWF       R1 
L_end_ad_get:
	RETURN      0
; end of _ad_get

_main:

;auto_photometer.mbas,474 :: 		main:
;auto_photometer.mbas,475 :: 		INTCON2.RBPU  = 1  ' 1:disable 0:enable PORTA and PORTB Pull-up
	BSF         INTCON2+0, 7 
;auto_photometer.mbas,476 :: 		ANSELA.ANSA2  = 1  ' 0:digital 1:analog  PHOTO TRANSISTOR
	BSF         ANSELA+0, 2 
;auto_photometer.mbas,477 :: 		ANSELA.ANSA3  = 0  ' 0:digital 1:analog  LED2
	BCF         ANSELA+0, 3 
;auto_photometer.mbas,478 :: 		ANSELA.ANSA5  = 0  ' 0:digital 1:analog  TACTILE SW3
	BCF         ANSELA+0, 5 
;auto_photometer.mbas,481 :: 		LED_DEV1_TRIS.LED_DEV1_BIT = PORT_OUTPUT    ' 7 SEGMENT LED 1
	BCF         TRISB+0, 5 
;auto_photometer.mbas,482 :: 		LED_DEV2_TRIS.LED_DEV2_BIT = PORT_OUTPUT    ' 7 SEGMENT LED 2
	BCF         TRISB+0, 4 
;auto_photometer.mbas,483 :: 		LED_DEV3_TRIS.LED_DEV3_BIT = PORT_OUTPUT    ' 7 SEGMENT LED 3
	BCF         TRISB+0, 3 
;auto_photometer.mbas,484 :: 		LED_DEV4_TRIS.LED_DEV4_BIT = PORT_OUTPUT    ' 7 SEGMENT LED 4
	BCF         TRISB+0, 2 
;auto_photometer.mbas,486 :: 		LED_SEG_TRIS.LED_SEGA_BIT  = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	BCF         TRISC+0, 0 
;auto_photometer.mbas,487 :: 		LED_SEG_TRIS.LED_SEGB_BIT  = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	BCF         TRISC+0, 1 
;auto_photometer.mbas,488 :: 		LED_SEG_TRIS.LED_SEGC_BIT  = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	BCF         TRISC+0, 2 
;auto_photometer.mbas,489 :: 		LED_SEG_TRIS.LED_SEGD_BIT  = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	BCF         TRISC+0, 3 
;auto_photometer.mbas,490 :: 		LED_SEG_TRIS.LED_SEGE_BIT  = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	BCF         TRISC+0, 4 
;auto_photometer.mbas,491 :: 		LED_SEG_TRIS.LED_SEGF_BIT  = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	BCF         TRISC+0, 5 
;auto_photometer.mbas,492 :: 		LED_SEG_TRIS.LED_SEGG_BIT  = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	BCF         TRISC+0, 6 
;auto_photometer.mbas,493 :: 		LED_SEG_TRIS.LED_SEGDP_BIT = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	BCF         TRISC+0, 7 
;auto_photometer.mbas,495 :: 		LED5_TRIS.LED5_BIT = PORT_OUTPUT
	BCF         TRISA+0, 0 
;auto_photometer.mbas,496 :: 		LED6_TRIS.LED6_BIT = PORT_OUTPUT
	BCF         TRISA+0, 1 
;auto_photometer.mbas,497 :: 		LED7_TRIS.LED7_BIT = PORT_OUTPUT
	BCF         TRISB+0, 6 
;auto_photometer.mbas,498 :: 		LED8_TRIS.LED8_BIT = PORT_OUTPUT
	BCF         TRISB+0, 7 
;auto_photometer.mbas,499 :: 		LED2_TRIS.LED2_BIT = PORT_OUTPUT
	BCF         TRISA+0, 3 
;auto_photometer.mbas,500 :: 		LED3_TRIS.LED3_BIT = PORT_OUTPUT
	BCF         TRISB+0, 0 
;auto_photometer.mbas,501 :: 		LED2_PORT.LED2_BIT = 1
	BSF         PORTA+0, 3 
;auto_photometer.mbas,502 :: 		LED3_PORT.LED3_BIT = 1
	BSF         PORTB+0, 0 
;auto_photometer.mbas,505 :: 		RELAY_TRIS.RELAY_BIT = PORT_OUTPUT
	BCF         TRISB+0, 1 
;auto_photometer.mbas,507 :: 		PHOTO_TRANSISTOR_TRIS.PHOTO_TRANSISTOR_BIT = PORT_INPUT
	BSF         TRISA+0, 2 
;auto_photometer.mbas,508 :: 		ADIE_bit    = 0   ' disable A/D interrupt
	BCF         ADIE_bit+0, BitPos(ADIE_bit+0) 
;auto_photometer.mbas,509 :: 		ADCS2_bit   = 0   ' FRC
	BCF         ADCS2_bit+0, BitPos(ADCS2_bit+0) 
;auto_photometer.mbas,510 :: 		ADCS1_bit   = 1   ' FRC
	BSF         ADCS1_bit+0, BitPos(ADCS1_bit+0) 
;auto_photometer.mbas,511 :: 		ADCS0_bit   = 1   ' FRC
	BSF         ADCS0_bit+0, BitPos(ADCS0_bit+0) 
;auto_photometer.mbas,512 :: 		CHS4_bit    = 0   ' Channel AN2 PORT RA2
	BCF         CHS4_bit+0, BitPos(CHS4_bit+0) 
;auto_photometer.mbas,513 :: 		CHS3_bit    = 0   ' Channel AN2
	BCF         CHS3_bit+0, BitPos(CHS3_bit+0) 
;auto_photometer.mbas,514 :: 		CHS2_bit    = 0   ' Channel AN2
	BCF         CHS2_bit+0, BitPos(CHS2_bit+0) 
;auto_photometer.mbas,515 :: 		CHS1_bit    = 1   ' Channel AN2
	BSF         CHS1_bit+0, BitPos(CHS1_bit+0) 
;auto_photometer.mbas,516 :: 		CHS0_bit    = 0   ' Channel AN2
	BCF         CHS0_bit+0, BitPos(CHS0_bit+0) 
;auto_photometer.mbas,517 :: 		PVCFG1_bit  = 0   ' AVDD
	BCF         PVCFG1_bit+0, BitPos(PVCFG1_bit+0) 
;auto_photometer.mbas,518 :: 		PVCFG0_bit  = 0   ' AVDD
	BCF         PVCFG0_bit+0, BitPos(PVCFG0_bit+0) 
;auto_photometer.mbas,519 :: 		NVCFG1_bit  = 0   ' AVSS
	BCF         NVCFG1_bit+0, BitPos(NVCFG1_bit+0) 
;auto_photometer.mbas,520 :: 		NVCFG0_bit  = 0   ' AVSS
	BCF         NVCFG0_bit+0, BitPos(NVCFG0_bit+0) 
;auto_photometer.mbas,521 :: 		ADFM_bit    = 1   ' Right justified
	BSF         ADFM_bit+0, BitPos(ADFM_bit+0) 
;auto_photometer.mbas,522 :: 		ACQT2_bit   = 1   ' 20TAD
	BSF         ACQT2_bit+0, BitPos(ACQT2_bit+0) 
;auto_photometer.mbas,523 :: 		ACQT1_bit   = 1   ' 20TAD
	BSF         ACQT1_bit+0, BitPos(ACQT1_bit+0) 
;auto_photometer.mbas,524 :: 		ACQT0_bit   = 1   ' 20TAD
	BSF         ACQT0_bit+0, BitPos(ACQT0_bit+0) 
;auto_photometer.mbas,525 :: 		ANSA2_bit   = 1   ' RA2 = Analog  Digital input buffer disabled
	BSF         ANSA2_bit+0, BitPos(ANSA2_bit+0) 
;auto_photometer.mbas,526 :: 		ADON_bit    = 1   ' A/D converter enabled
	BSF         ADON_bit+0, BitPos(ADON_bit+0) 
;auto_photometer.mbas,529 :: 		SW2_TRIS.SW2_BIT = PORT_INPUT
	BSF         TRISA+0, 4 
;auto_photometer.mbas,530 :: 		SW3_TRIS.SW3_BIT = PORT_INPUT
	BSF         TRISA+0, 5 
;auto_photometer.mbas,533 :: 		LED_DEV1_PORT.LED_DEV1_BIT = LED_7SEG_OFF
	BSF         PORTB+0, 5 
;auto_photometer.mbas,534 :: 		LED_DEV2_PORT.LED_DEV2_BIT = LED_7SEG_OFF
	BSF         PORTB+0, 4 
;auto_photometer.mbas,535 :: 		LED_DEV3_PORT.LED_DEV3_BIT = LED_7SEG_OFF
	BSF         PORTB+0, 3 
;auto_photometer.mbas,536 :: 		LED_DEV4_PORT.LED_DEV4_BIT = LED_7SEG_OFF
	BSF         PORTB+0, 2 
;auto_photometer.mbas,538 :: 		relay_off()
	CALL        _relay_off+0, 0
;auto_photometer.mbas,540 :: 		led_off(5)
	MOVLW       5
	MOVWF       FARG_led_off_led_no+0 
	CALL        _led_off+0, 0
;auto_photometer.mbas,541 :: 		led_off(6)
	MOVLW       6
	MOVWF       FARG_led_off_led_no+0 
	CALL        _led_off+0, 0
;auto_photometer.mbas,542 :: 		led_off(7)
	MOVLW       7
	MOVWF       FARG_led_off_led_no+0 
	CALL        _led_off+0, 0
;auto_photometer.mbas,543 :: 		led_off(8)
	MOVLW       8
	MOVWF       FARG_led_off_led_no+0 
	CALL        _led_off+0, 0
;auto_photometer.mbas,545 :: 		led_val1 = Digit_8
	MOVLW       128
	MOVWF       _led_val1+0 
;auto_photometer.mbas,546 :: 		led_val2 = Digit_8
	MOVLW       128
	MOVWF       _led_val2+0 
;auto_photometer.mbas,547 :: 		led_val3 = Digit_8
	MOVLW       128
	MOVWF       _led_val3+0 
;auto_photometer.mbas,548 :: 		led_val4 = Digit_8
	MOVLW       128
	MOVWF       _led_val4+0 
;auto_photometer.mbas,551 :: 		led_pos = 1
	MOVLW       1
	MOVWF       _led_pos+0 
;auto_photometer.mbas,552 :: 		use_sw1 = FALSE
	CLRF        _use_sw1+0 
;auto_photometer.mbas,553 :: 		use_sw2 = FALSE
	CLRF        _use_sw2+0 
;auto_photometer.mbas,554 :: 		use_sw3 = FALSE
	CLRF        _use_sw3+0 
;auto_photometer.mbas,557 :: 		Timer0_prescale_NOT_assign = FALSE
	BCF         T0CON+0, 3 
;auto_photometer.mbas,558 :: 		Timer0_prescale_bit2       = 0 ' prescale = 16
	BCF         T0CON+0, 2 
;auto_photometer.mbas,559 :: 		Timer0_prescale_bit1       = 1
	BSF         T0CON+0, 1 
;auto_photometer.mbas,560 :: 		Timer0_prescale_bit0       = 1
	BSF         T0CON+0, 0 
;auto_photometer.mbas,561 :: 		Timer0_mode_8bit           = TRUE  ' 8bit mode
	BSF         T0CON+0, 6 
;auto_photometer.mbas,562 :: 		Timer0_interrupt_enable    = FALSE
	BCF         INTCON+0, 5 
;auto_photometer.mbas,563 :: 		Timer0_use_external_clock  = FALSE
	BCF         T0CON+0, 5 
;auto_photometer.mbas,564 :: 		Timer0_enable              = TRUE
	BSF         T0CON+0, 7 
;auto_photometer.mbas,567 :: 		Timer2_interrupt_enable    = FALSE
	BCF         PIE1+0, 1 
;auto_photometer.mbas,568 :: 		Timer2_enable              = TRUE
	BSF         T2CON+0, 2 
;auto_photometer.mbas,569 :: 		Timer2_period_register     = 131 ' 131 = 4msec
	MOVLW       131
	MOVWF       PR2+0 
;auto_photometer.mbas,570 :: 		Timer2_postscale_bit0      = 0   ' postscale is 10
	BCF         T2CON+0, 3 
;auto_photometer.mbas,571 :: 		Timer2_postscale_bit1      = 1
	BSF         T2CON+0, 4 
;auto_photometer.mbas,572 :: 		Timer2_postscale_bit2      = 0
	BCF         T2CON+0, 5 
;auto_photometer.mbas,573 :: 		Timer2_postscale_bit3      = 1
	BSF         T2CON+0, 6 
;auto_photometer.mbas,574 :: 		Timer2_prescale_bit0       = 1   ' prescale is 16
	BSF         T2CON+0, 0 
;auto_photometer.mbas,575 :: 		Timer2_prescale_bit1       = 1
	BSF         T2CON+0, 1 
;auto_photometer.mbas,576 :: 		peripheral_interrupt_enable = TRUE
	BSF         INTCON+0, 6 
;auto_photometer.mbas,578 :: 		on_illuminance  = eeprom_word_read( EEPROM_ON_ILLUMINANCE  )
	CLRF        FARG_eeprom_word_read_address+0 
	CLRF        FARG_eeprom_word_read_address+1 
	CALL        _eeprom_word_read+0, 0
	MOVF        R0, 0 
	MOVWF       _on_illuminance+0 
	MOVF        R1, 0 
	MOVWF       _on_illuminance+1 
;auto_photometer.mbas,579 :: 		off_illuminance = eeprom_word_read( EEPROM_OFF_ILLUMINANCE )
	MOVLW       2
	MOVWF       FARG_eeprom_word_read_address+0 
	MOVLW       0
	MOVWF       FARG_eeprom_word_read_address+1 
	CALL        _eeprom_word_read+0, 0
	MOVF        R0, 0 
	MOVWF       _off_illuminance+0 
	MOVF        R1, 0 
	MOVWF       _off_illuminance+1 
;auto_photometer.mbas,581 :: 		Timer0_interrupt_enable     = TRUE
	BSF         INTCON+0, 5 
;auto_photometer.mbas,582 :: 		Timer2_interrupt_enable     = TRUE
	BSF         PIE1+0, 1 
;auto_photometer.mbas,583 :: 		interrupt_enable            = TRUE
	BSF         INTCON+0, 7 
;auto_photometer.mbas,585 :: 		delay_ms(1000)
	MOVLW       26
	MOVWF       R11, 0
	MOVLW       94
	MOVWF       R12, 0
	MOVLW       110
	MOVWF       R13, 0
L__main213:
	DECFSZ      R13, 1, 1
	BRA         L__main213
	DECFSZ      R12, 1, 1
	BRA         L__main213
	DECFSZ      R11, 1, 1
	BRA         L__main213
	NOP
;auto_photometer.mbas,587 :: 		if sw_on_msec(1,1000) then
	MOVLW       1
	MOVWF       FARG_sw_on_msec_sw_no+0 
	MOVLW       232
	MOVWF       FARG_sw_on_msec_msec+0 
	MOVLW       3
	MOVWF       FARG_sw_on_msec_msec+1 
	MOVLW       0
	MOVWF       FARG_sw_on_msec_msec+2 
	MOVWF       FARG_sw_on_msec_msec+3 
	CALL        _sw_on_msec+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main215
;auto_photometer.mbas,588 :: 		settei()
	CALL        _settei+0, 0
L__main215:
;auto_photometer.mbas,591 :: 		relay_on_stat = false
	CLRF        _relay_on_stat+0 
;auto_photometer.mbas,593 :: 		led_val1 = Digit_N
	MOVLW       255
	MOVWF       _led_val1+0 
;auto_photometer.mbas,594 :: 		led_val2 = Digit_N
	MOVLW       255
	MOVWF       _led_val2+0 
;auto_photometer.mbas,595 :: 		led_val3 = Digit_N
	MOVLW       255
	MOVWF       _led_val3+0 
;auto_photometer.mbas,596 :: 		led_val4 = Digit_N
	MOVLW       255
	MOVWF       _led_val4+0 
;auto_photometer.mbas,598 :: 		led_on(7)
	MOVLW       7
	MOVWF       FARG_led_on_led_no+0 
	CALL        _led_on+0, 0
;auto_photometer.mbas,599 :: 		display_number( on_illuminance  )
	MOVF        _on_illuminance+0, 0 
	MOVWF       FARG_display_number_num+0 
	MOVF        _on_illuminance+1, 0 
	MOVWF       FARG_display_number_num+1 
	CALL        _display_number+0, 0
;auto_photometer.mbas,600 :: 		delay_ms(1000)
	MOVLW       26
	MOVWF       R11, 0
	MOVLW       94
	MOVWF       R12, 0
	MOVLW       110
	MOVWF       R13, 0
L__main217:
	DECFSZ      R13, 1, 1
	BRA         L__main217
	DECFSZ      R12, 1, 1
	BRA         L__main217
	DECFSZ      R11, 1, 1
	BRA         L__main217
	NOP
;auto_photometer.mbas,601 :: 		led_off(7)
	MOVLW       7
	MOVWF       FARG_led_off_led_no+0 
	CALL        _led_off+0, 0
;auto_photometer.mbas,602 :: 		led_on(8)
	MOVLW       8
	MOVWF       FARG_led_on_led_no+0 
	CALL        _led_on+0, 0
;auto_photometer.mbas,603 :: 		display_number( off_illuminance )
	MOVF        _off_illuminance+0, 0 
	MOVWF       FARG_display_number_num+0 
	MOVF        _off_illuminance+1, 0 
	MOVWF       FARG_display_number_num+1 
	CALL        _display_number+0, 0
;auto_photometer.mbas,604 :: 		delay_ms(1000)
	MOVLW       26
	MOVWF       R11, 0
	MOVLW       94
	MOVWF       R12, 0
	MOVLW       110
	MOVWF       R13, 0
L__main218:
	DECFSZ      R13, 1, 1
	BRA         L__main218
	DECFSZ      R12, 1, 1
	BRA         L__main218
	DECFSZ      R11, 1, 1
	BRA         L__main218
	NOP
;auto_photometer.mbas,605 :: 		led_off(8)
	MOVLW       8
	MOVWF       FARG_led_off_led_no+0 
	CALL        _led_off+0, 0
;auto_photometer.mbas,607 :: 		while( true )
L__main220:
;auto_photometer.mbas,608 :: 		illuminance = ad_get()  ' Read analog value from channel 2
	CALL        _ad_get+0, 0
	MOVF        R0, 0 
	MOVWF       _illuminance+0 
	MOVF        R1, 0 
	MOVWF       _illuminance+1 
;auto_photometer.mbas,609 :: 		display_number( illuminance )
	MOVF        R0, 0 
	MOVWF       FARG_display_number_num+0 
	MOVF        R1, 0 
	MOVWF       FARG_display_number_num+1 
	CALL        _display_number+0, 0
;auto_photometer.mbas,611 :: 		if off_illuminance <= illuminance then
	MOVF        _off_illuminance+1, 0 
	SUBWF       _illuminance+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main258
	MOVF        _off_illuminance+0, 0 
	SUBWF       _illuminance+0, 0 
L__main258:
	BTFSS       STATUS+0, 0 
	GOTO        L__main225
;auto_photometer.mbas,612 :: 		relay_on_stat = false
	CLRF        _relay_on_stat+0 
L__main225:
;auto_photometer.mbas,615 :: 		if illuminance <= on_illuminance then
	MOVF        _illuminance+1, 0 
	SUBWF       _on_illuminance+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main259
	MOVF        _illuminance+0, 0 
	SUBWF       _on_illuminance+0, 0 
L__main259:
	BTFSS       STATUS+0, 0 
	GOTO        L__main228
;auto_photometer.mbas,616 :: 		relay_on_stat = true
	MOVLW       255
	MOVWF       _relay_on_stat+0 
L__main228:
;auto_photometer.mbas,619 :: 		if relay_on_stat then
	MOVF        _relay_on_stat+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main231
;auto_photometer.mbas,620 :: 		relay_on()
	CALL        _relay_on+0, 0
	GOTO        L__main232
;auto_photometer.mbas,621 :: 		else
L__main231:
;auto_photometer.mbas,622 :: 		relay_off()
	CALL        _relay_off+0, 0
;auto_photometer.mbas,623 :: 		end if
L__main232:
;auto_photometer.mbas,624 :: 		delay_ms(300)
	MOVLW       8
	MOVWF       R11, 0
	MOVLW       157
	MOVWF       R12, 0
	MOVLW       5
	MOVWF       R13, 0
L__main233:
	DECFSZ      R13, 1, 1
	BRA         L__main233
	DECFSZ      R12, 1, 1
	BRA         L__main233
	DECFSZ      R11, 1, 1
	BRA         L__main233
	NOP
	NOP
;auto_photometer.mbas,625 :: 		wend
	GOTO        L__main220
L_end_main:
	GOTO        $+0
; end of _main
